%global python3_pkgversion 38
%global modname freezegun
%global sum Let your Python tests travel through time

Name:               python%{python3_pkgversion}-freezegun-epel
Version:            1.1.0
Release:            2%{?dist}
Summary:            %{sum}

License:            ASL 2.0
URL:                https://pypi.io/project/freezegun
Source0:            https://pypi.io/packages/source/f/%{modname}/%{modname}-%{version}.tar.gz

# Fix decorate_class for Python 3.10 where staticmethod is callable
Patch1:             https://github.com/spulec/freezegun/pull/397.patch

BuildArch:          noarch

%description
freezegun is a library that allows your python tests to travel through time by
mocking the datetime module.


%package -n python%{python3_pkgversion}-freezegun
Summary:            %{sum}

BuildRequires:      python%{python3_pkgversion}-devel
BuildRequires:      python%{python3_pkgversion}-rpm-macros
BuildRequires:      python%{python3_pkgversion}-setuptools
BuildRequires:      python%{python3_pkgversion}-six
BuildRequires:      python%{python3_pkgversion}-dateutil >= 2.7
BuildRequires:      python%{python3_pkgversion}-pytest

%{?python_provide:%python_provide python%{python3_pkgversion}-freezegun}

Requires:           python%{python3_pkgversion}-six
Requires:           python%{python3_pkgversion}-dateutil >= 2.7

%description -n python%{python3_pkgversion}-freezegun
freezegun is a library that allows your python tests to travel through time by
mocking the datetime module. This is the Python 3 library.

%prep
%autosetup -p1 -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%py3_build

%install
%py3_install

%check
# Ignore two tests that are broken when run on systems in certain timezones.
# Reported upstream: https://github.com/spulec/freezegun/issues/348
pytest-%{python3_version} --deselect tests/test_datetimes.py::TestUnitTestMethodDecorator::test_method_decorator_works_on_unittest_kwarg_frozen_time \
         --deselect tests/test_datetimes.py::TestUnitTestMethodDecorator::test_method_decorator_works_on_unittest_kwarg_hello



%files -n python%{python3_pkgversion}-freezegun
%doc README.rst LICENSE
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}-*

%changelog
* Thu Jul 21 2022 Maxwell G <gotmax@e.email> - 1.1.0-2
- Rebuild to fix bug in epel-rpm-macros' Python dependency generator

* Sun Jul 07 2022 Orion Poplawski <orion@nwra.com> - 1.1.0-1
- Build for EPEL8 Python 3.8
